// Arrow

#ifndef _Arrow_h_
#define _Arrow_h_

#include "ThreeDSeparator.h"
#include "SFFloat.h"
#include "Line.h"
#include "Sphere.h"
#include "Cone.h"
#include "Color.h"
#include "ThreeDLOD.h"

class SFVec3f;
class SFColor;

class Arrow : public ThreeDSeparator
{
public:
    Arrow();	
    Arrow(const SFVec3f& position, 
	  const SFVec3f& direction, 
	  const SFFloat& length,  
	  const SFFloat& impact, 
	  const SFColor& rgbColor);
    Arrow(const Arrow& original);
    ~Arrow();
    Arrow& operator=(const Arrow& original);
private:
    Line _aLine;
    Sphere _aSphere;
    Cone _aCone;
    Color _aColor;
    ThreeDSeparator _aLineSphereCone;
    ThreeDLOD _aLOD;
    SFVec3f _aCenter;
};

#endif
