// Cone

#ifndef _Cone_h_
#define _Cone_h_

#include "ThreeDSeparator.h"
#include "ThreeDRotation.h"
#include "ThreeDTranslation.h"
#include "ThreeDCone.h"
#include "SFFloat.h"

class SFVec3f;

class Cone : public ThreeDSeparator
{
public:
    Cone();
    Cone(const SFFloat& bottomRadius, 
	 const SFFloat& height,   
	 const SFVec3f& place, 
	 const SFVec3f& direction);
    Cone(const Cone& original);
    ~Cone();
    Cone& operator=(const Cone& original);
private:
    ThreeDTranslation _aTranslation;
    ThreeDTranslation _aMove;
    ThreeDRotation _aRotation;
    ThreeDCone _aCone;
};

#endif
