#include "Cube.h"
#include "SFVec3f.h"
#include "SFRotation.h"
#include "ThreeDTranslation.h"
#include "ThreeDRotation.h"
#include "ThreeDCube.h"
#include <new.h>

Cube::Cube()
{
}

Cube::Cube(const SFFloat& width, 
	   const SFFloat& height, 
	   const SFFloat& depth, 
	   const SFVec3f& place, 
	   const SFVec3f& angles):
    _aTranslation(place),
    _aCube(width,
	   height,
	   depth)
{
    SFVec3f xAxis(1, 0, 0); 
    SFVec3f yAxis(0, 1, 0); 
    SFVec3f zAxis(0, 0, 1); 
    SFRotation xRot(xAxis, angles.x());
    SFRotation yRot(yAxis, angles.y());
    SFRotation zRot(zAxis, angles.z());
    _xRotation.~ThreeDRotation();
    _yRotation.~ThreeDRotation();
    _zRotation.~ThreeDRotation();
    new (&_xRotation) ThreeDRotation(xRot);
    new (&_yRotation) ThreeDRotation(yRot);
    new (&_yRotation) ThreeDRotation(zRot);
    
    add(&_aTranslation);
    add(&_xRotation);
    add(&_yRotation);
    add(&_zRotation);
    add(&_aCube);
}

Cube::Cube(const Cube& original):
    _aTranslation(original._aTranslation),
    _xRotation(original._xRotation),
    _yRotation(original._yRotation),
    _zRotation(original._zRotation),
    _aCube(original._aCube)
{
}

Cube::~Cube()
{
}

Cube& Cube::operator=(const Cube& original)
{
    _aTranslation = original._aTranslation;
    _xRotation = original._xRotation;
    _yRotation = original._yRotation;
    _zRotation = original._zRotation;
    _aCube = original._aCube;
    return(*this);
}


