// Cube

#ifndef _Cube_h_
#define _Cube_h_

#include "ThreeDSeparator.h"
#include "ThreeDRotation.h"
#include "ThreeDTranslation.h"
#include "ThreeDCube.h"
#include "SFFloat.h"

class SFVec3f;

class Cube : public ThreeDSeparator
{
public:
    Cube();
    Cube(const SFFloat& width, 
	 const SFFloat& height, 
	 const SFFloat& depth,  
	 const SFVec3f& place, 
	 const SFVec3f& angles);
    Cube(const Cube& original);
    ~Cube();
    Cube& operator=(const Cube& original);
private:
    ThreeDTranslation _aTranslation;
    ThreeDRotation _xRotation;
    ThreeDRotation _yRotation;
    ThreeDRotation _zRotation;
    ThreeDCube _aCube;
};

#endif
