#include "Cylinder.h"
#include "SFVec3f.h"
#include "SFRotation.h"
#include <new.h>
#include <math.h>

Cylinder::Cylinder()
{
}

Cylinder::Cylinder(const SFFloat& radius, 
		   const SFFloat& height,  
		   const SFVec3f& place, 
		   const SFVec3f& direction):
    _aTranslation(place),
    _aCylinder(radius, height)
{
    SFVec3f move(0, height / 2, 0);
    _aMove.~ThreeDTranslation();
    new (&_aMove) ThreeDTranslation(move);

    SFVec3f yAxis(0, 1, 0); 
    SFVec3f anAxis(direction.z(), 0, -direction.x());
    SFFloat anAngle = acos (direction.y() / direction.mag());
    SFRotation aRot(anAxis, anAngle);
    _aRotation.~ThreeDRotation();
    new (&_aRotation) ThreeDRotation(aRot);

    add(&_aTranslation);
    add(&_aRotation);
    add(&_aMove);
    add(&_aCylinder);
}

Cylinder::Cylinder(const Cylinder& original):
    _aTranslation(original._aTranslation),
    _aMove(original._aMove),
    _aRotation(original._aRotation),
    _aCylinder(original._aCylinder)
{
}

Cylinder::~Cylinder()
{
}

Cylinder& Cylinder::operator=(const Cylinder& original)
{
    _aTranslation = original._aTranslation;
    _aMove = original._aMove;
    _aRotation = original._aRotation;
    _aCylinder = original._aCylinder;
    return(*this);
}






