// Cylinder

#ifndef _Cylinder_h_
#define _Cylinder_h_

#include "ThreeDSeparator.h"
#include "ThreeDRotation.h"
#include "ThreeDTranslation.h"
#include "ThreeDCylinder.h"
#include "SFFloat.h"

class SFVec3f;

class Cylinder : public ThreeDSeparator
{
public:
    Cylinder();
    Cylinder(const SFFloat& radius, 
	     const SFFloat& height,   
	     const SFVec3f& place, 
	     const SFVec3f& direction);
    Cylinder(const Cylinder& original);
    ~Cylinder();
    Cylinder& operator=(const Cylinder& original);
private:
    ThreeDTranslation _aTranslation;
    ThreeDTranslation _aMove;
    ThreeDRotation _aRotation;
    ThreeDCylinder _aCylinder;
};

#endif
