// Line

#ifndef _Line_h_
#define _Line_h_

#include "ThreeDSeparator.h"
#include "SFFloat.h"
#include "ThreeDCoordinate3.h"
#include "ThreeDIndexedLineSet.h"
#include "ThreeDRotation.h"
#include "ThreeDTranslation.h"

class SFVec3f;

class Line : public ThreeDSeparator
{
public:
    Line();
    Line(const SFVec3f& from,
	 const SFVec3f& to);
    Line(const SFFloat& length,
	 const SFVec3f& position,
	 const SFVec3f& direction);
    Line(const Line& original);
    ~Line();
    Line& operator=(const Line& original);
private:
    MFLong _coordIndex;
    ThreeDCoordinate3 _aCoordinate3;
    ThreeDIndexedLineSet _anIndexedLineSet;
    ThreeDRotation _aRotation;
    ThreeDTranslation _aTranslation;  
};

#endif





