// Local Helix

#include "LocalHelix.h"

LocalHelix::LocalHelix()
{
}

LocalHelix::LocalHelix(const Hep3VectorF& position, 
		       const Hep3VectorF& direction, 
		       const Hep3VectorF& curvature):
    _position(position),
    _direction(direction),
    _curvature(curvature)
{
}

LocalHelix::LocalHelix(const LocalHelix& original):
    _position(original._position),
    _direction(original._direction),
    _curvature(original._curvature)
{
}

LocalHelix::~LocalHelix()
{
}

LocalHelix& LocalHelix::operator=(const LocalHelix& original)
{
    _position = original._position;
    _direction = original._direction;
    _curvature = original._curvature;
    return(*this);
}

void LocalHelix::print()
{
    cout << "Local Helix:" << endl;
    cout << "\tposition:\t" 
	 << position().x() << "\t" 
	 << position().y() << "\t" 
	 << position().z() << endl;
    cout << "\tdirection:\t" 
	 << direction().x() << "\t" 
	 << direction().y() << "\t" 
	 << direction().z() << endl;
    cout << "\tcurvature:\t" 
	 << curvature().x() << "\t" 
	 << curvature().y() << "\t" 
	 << curvature().z() << endl;
}








