// Scene
// SuperClass for any display (file, windows, ...)
// Such display should be able to initialise
// itself and then ask Plottable to plot itself
// in the display

#ifndef _Scene_h_
#define _Scene_h_

class Plottable;

class Scene
{
public:
    Scene();
    Scene(const Scene& original);
    virtual ~Scene();
    Scene& operator=(const Scene& original);  
    virtual void display(Plottable& plottable) const = 0; // Initialise display
                                                          // and ask Plottable
                                                          // for plot     
};

#endif

