// ThreeD Container
// SuperClass for all basic containers
// Contains list of all contained nodes

#ifndef _ThreeDContainer_h_
#define _ThreeDContainer_h_

#include "ThreeDNode.h"
#include <CLHEP/AList.h>

class VRMLWindow;
class VRMLFile;

class ThreeDContainer : public ThreeDNode
{
public:
    ThreeDContainer();
    ThreeDContainer(const ThreeDContainer& original);
    ~ThreeDContainer();
    ThreeDContainer& operator=(const ThreeDContainer& original);
    void add(ThreeDNode* pNode); 
    void plot(const VRMLWindow& scene) const; // Loops over contained nodes
    void plot(const VRMLFile& scene) const;   // -"-
protected:
    HepAList<ThreeDNode> _listOfNodes; // Contained nodes
};

#endif




