#include "ThreeDIndexedFaceSet.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>

ThreeDIndexedFaceSet::ThreeDIndexedFaceSet()
{
}

ThreeDIndexedFaceSet::ThreeDIndexedFaceSet(const MFLong& coordIndex, 
					   const MFLong& materialIndex,
					   const MFLong& normalIndex,
					   const MFLong& textureCoordIndex):
    _coordIndex(coordIndex),
    _materialIndex(materialIndex),
    _normalIndex(normalIndex),
    _textureCoordIndex(textureCoordIndex)
{
}
 
ThreeDIndexedFaceSet::ThreeDIndexedFaceSet(const ThreeDIndexedFaceSet& original):
    _coordIndex(original._coordIndex),
    _materialIndex(original._materialIndex),
    _normalIndex(original._normalIndex),
    _textureCoordIndex(original._textureCoordIndex)
{
}

ThreeDIndexedFaceSet::~ThreeDIndexedFaceSet()
{
}

ThreeDIndexedFaceSet& ThreeDIndexedFaceSet::operator=(const ThreeDIndexedFaceSet& original)
{
    _coordIndex = original._coordIndex;
    _materialIndex = original._materialIndex;
    _normalIndex = original._normalIndex;
    _textureCoordIndex = original._textureCoordIndex;
    return(*this);
}

void ThreeDIndexedFaceSet::plot(const VRMLWindow&) const
{
}

void ThreeDIndexedFaceSet::plot(const VRMLFile& scene) const
{
    scene.out() << "IndexedFaceSet {\t";
    scene.out() << "coordIndex\t" << _coordIndex << "\t";
    scene.out() << "materialIndex\t" << _materialIndex << "\t";
    scene.out() << "normalIndex\t" << _normalIndex << "\t";
    scene.out() << "textureCoordIndex\t" << _textureCoordIndex << "\t";
    scene.out() << "}" << endl;
}






