// ThreeD IndexedFaceSet

#ifndef _ThreeDIndexedFaceSet_h_
#define _ThreeDIndexedFaceSet_h_

#include "ThreeDShape.h"
#include "MFLong.h"

class VRMLWindow;
class VRMLFile;

class ThreeDIndexedFaceSet : public ThreeDShape
{
public:
    ThreeDIndexedFaceSet();
    ThreeDIndexedFaceSet(const MFLong& coordIndex, 
			 const MFLong& materialIndex,
			 const MFLong& normalIndex,
			 const MFLong& textureCoordIndex); 
    ThreeDIndexedFaceSet(const ThreeDIndexedFaceSet& original);
    ~ThreeDIndexedFaceSet();
    ThreeDIndexedFaceSet& operator=(const ThreeDIndexedFaceSet& original);
    void plot(const VRMLWindow& scene) const;
    void plot(const VRMLFile& scene) const;
private:
    MFLong _coordIndex;
    MFLong _materialIndex;
    MFLong _normalIndex;
    MFLong _textureCoordIndex;
};

#endif
