#include "ThreeDIndexedLineSet.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>

ThreeDIndexedLineSet::ThreeDIndexedLineSet()
{
}

ThreeDIndexedLineSet::ThreeDIndexedLineSet(const MFLong& coordIndex, 
					   const MFLong& materialIndex,
					   const MFLong& normalIndex,
					   const MFLong& textureCoordIndex):
    _coordIndex(coordIndex),
    _materialIndex(materialIndex),
    _normalIndex(normalIndex),
    _textureCoordIndex(textureCoordIndex)
{
}
 
ThreeDIndexedLineSet::ThreeDIndexedLineSet(const ThreeDIndexedLineSet& original):
    _coordIndex(original._coordIndex),
    _materialIndex(original._materialIndex),
    _normalIndex(original._normalIndex),
    _textureCoordIndex(original._textureCoordIndex)
{
}

ThreeDIndexedLineSet::~ThreeDIndexedLineSet()
{
}

ThreeDIndexedLineSet& ThreeDIndexedLineSet::operator=(const ThreeDIndexedLineSet& original)
{
    _coordIndex = original._coordIndex;
    _materialIndex = original._materialIndex;
    _normalIndex = original._normalIndex;
    _textureCoordIndex = original._textureCoordIndex;
    return(*this);
}

void ThreeDIndexedLineSet::plot(const VRMLWindow&) const
{
}

void ThreeDIndexedLineSet::plot(const VRMLFile& scene) const
{
    scene.out() << "IndexedLineSet {\t";
    scene.out() << "coordIndex\t" << _coordIndex << "\t";
    scene.out() << "materialIndex\t" << _materialIndex << "\t";
    scene.out() << "normalIndex\t" << _normalIndex << "\t";
    scene.out() << "textureCoordIndex\t" << _textureCoordIndex << "\t";
    scene.out() << "}" << endl;
}

