// ThreeD IndexedLineSet

#ifndef _ThreeDIndexedLineSet_h_
#define _ThreeDIndexedLineSet_h_

#include "ThreeDShape.h"
#include "MFLong.h"

class VRMLWindow;
class VRMLFile;

class ThreeDIndexedLineSet : public ThreeDShape
{
public:
    ThreeDIndexedLineSet();
    ThreeDIndexedLineSet(const MFLong& coordIndex, 
			 const MFLong& materialIndex,
			 const MFLong& normalIndex,
			 const MFLong& textureCoordIndex); 
    ThreeDIndexedLineSet(const ThreeDIndexedLineSet& original);
    ~ThreeDIndexedLineSet();
    ThreeDIndexedLineSet& operator=(const ThreeDIndexedLineSet& original);
    void plot(const VRMLWindow& scene) const;
    void plot(const VRMLFile& scene) const;
private:
    MFLong _coordIndex;
    MFLong _materialIndex;
    MFLong _normalIndex;
    MFLong _textureCoordIndex;
};

#endif
