#include "ThreeDMaterial.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>
#include "MFIterator.h"

ThreeDMaterial::ThreeDMaterial()
{
}

ThreeDMaterial::ThreeDMaterial(const MFColor& ambientColor, 
			       const MFColor& diffuseColor,
			       const MFColor& specularColor,
			       const MFColor& emissiveColor,
			       const MFFloat& shininess,
			       const MFFloat& transparency):
    _ambientColor(ambientColor),
    _diffuseColor(diffuseColor),
    _specularColor(specularColor),
    _emissiveColor(emissiveColor),
    _shininess(shininess),
    _transparency(transparency)
{
}
 
ThreeDMaterial::ThreeDMaterial(const ThreeDMaterial& original):
    _ambientColor(original._ambientColor),
    _diffuseColor(original._diffuseColor),
    _specularColor(original._specularColor),
    _emissiveColor(original._emissiveColor),
    _shininess(original._shininess),
    _transparency(original._transparency)
{
}

ThreeDMaterial::~ThreeDMaterial()
{
}

ThreeDMaterial& ThreeDMaterial::operator=(const ThreeDMaterial& original)
{
    _ambientColor = original._ambientColor;
    _diffuseColor = original._diffuseColor;
    _specularColor = original._specularColor;
    _emissiveColor = original._emissiveColor;
    _shininess = original._shininess;
    _transparency = original._transparency;
    return(*this);
}

void ThreeDMaterial::plot(const VRMLWindow&) const
{
}

void ThreeDMaterial::plot(const VRMLFile& scene) const
{
    scene.out() << "Material {\t";
    scene.out() << "ambientColor\t";
    scene.out() << _ambientColor << "\t";
    scene.out() << "diffuseColor\t";
    scene.out() << _diffuseColor << "\t";
    scene.out() << "specularColor\t";
    scene.out() << _specularColor << "\t";
    scene.out() << "emissiveColor\t";
    scene.out() << _emissiveColor << "\t";
    scene.out() << "shininess\t"; 
    scene.out() << _shininess << "\t";
    scene.out() << "transparency\t";
    scene.out() << _transparency << "\t";
    scene.out() << "}" << endl;
}










