// ThreeD Material

#ifndef _ThreeDMaterial_h_
#define _ThreeDMaterial_h_

#include "ThreeDProperty.h"
#include "MFFloat.h"
#include "MFColor.h"

class VRMLWindow;
class VRMLFile;

class ThreeDMaterial : public ThreeDProperty
{
public:
    ThreeDMaterial();
    ThreeDMaterial(const MFColor& ambientColor, 
		   const MFColor& diffuseColor,
		   const MFColor& specularColor,
		   const MFColor& emissiveColor,
		   const MFFloat& shininess,
		   const MFFloat& transparency);
    ThreeDMaterial(const ThreeDMaterial& original);
    ~ThreeDMaterial();
    ThreeDMaterial& operator=(const ThreeDMaterial& original);
    void plot(const VRMLWindow& scene) const;
    void plot(const VRMLFile& scene) const;
private:
    MFColor _ambientColor;
    MFColor _diffuseColor;
    MFColor _specularColor;
    MFColor _emissiveColor;
    MFFloat _shininess;
    MFFloat _transparency;
};

#endif
