// Tracked Particle

#include "TrackedParticle.h"
#include <iostream.h>
#include <new.h>

TrackedParticle::TrackedParticle()
{
}

TrackedParticle::TrackedParticle(const LocalHelix& localHelix, 
				 const int& charge, 
				 const float& pt, 
				 const float& length):
    _charge(charge),
    _pt(pt),
    _length(length),
    _localHelix(localHelix)
{
}

TrackedParticle::TrackedParticle(const TrackedParticle& original):
    _charge(original._charge),
    _pt(original._pt),
    _length(original._length),
    _localHelix(original._localHelix),
    _arrow(original._arrow)
{
}

TrackedParticle::~TrackedParticle()
{
}

TrackedParticle& TrackedParticle::operator=(const TrackedParticle& original)
{
    _charge = original._charge;
    _pt = original._pt;
    _length = original._length;
    _localHelix = original._localHelix;
    _arrow = original._arrow;
    return(*this);
}

void TrackedParticle::print()
{
    cout << "Tracked Particle:" << endl;
    cout << "\tposition:\t" 
	 << _localHelix.position().x() << "\t" 
	 << _localHelix.position().y() << "\t" 
	 << _localHelix.position().z() << endl;
    cout << "\tdirection:\t" 
	 << _localHelix.direction().x() << "\t" 
	 << _localHelix.direction().y() << "\t" 
	 << _localHelix.direction().z() << endl;
    cout << "\tcurvature:\t" 
	 << _localHelix.curvature().x() << "\t" 
	 << _localHelix.curvature().y() << "\t" 
	 << _localHelix.curvature().z() << endl;
    cout << "\tcharge:\t" << charge() << endl;
    cout << "\tpt:\t" << pt() << endl;
    cout << "\tlength:\t" << length() << endl;
}

ThreeDSeparator TrackedParticle::plottableObject()
{
    SFColor rgbRed(1, 0, 0);
    SFColor rgbBlue(0, 0, 1);
    SFColor rgb;
    if(_charge > 0)
	rgb = rgbRed;
    else
	rgb = rgbBlue;
    
    _arrow.~Arrow();
    new (&_arrow) Arrow(_localHelix.position(),
			_localHelix.direction(),
			0.01,
			_pt,
			rgb);

    return _arrow;
}













