// Tracked Particle

#ifndef _TrackedParticle_h_
#define _TrackedParticle_h_

#include "LocalHelix.h"
#include "Plottable.h"
#include "ThreeDSeparator.h"
#include "Arrow.h"

class TrackedParticle : public Plottable
{
public:
    TrackedParticle();
    TrackedParticle(const LocalHelix& localHelix, 
		    const int& charge, 
		    const float& pt, 
		    const float& length);
    TrackedParticle(const TrackedParticle& original);
    ~TrackedParticle();
    TrackedParticle& operator=(const TrackedParticle& original);
    Hep3VectorF& position(){return _localHelix.position();}
    Hep3VectorF& direction(){return _localHelix.direction();}
    Hep3VectorF& curvature(){return _localHelix.curvature();}
    int& charge(){return _charge;}
    float& pt(){return _pt;}
    float& length(){return _length;}
    void print();
    ThreeDSeparator plottableObject();
private:
    int _charge;
    float _pt;
    float _length;
    LocalHelix _localHelix;
    Arrow _arrow;
};

#endif
